%define upstream_name	 Image-Xbm
%define upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Load, create, manipulate and save xbm image files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SU/SUMMER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Image::Base) >= 1.60.0
BuildRequires: perl(Test::More)
BuildRequires: perl-Image-Base
BuildArch:  noarch

%description
This class module provides basic load, manipulate and save functionality for
the xbm file format. It inherits from Image::Base which provides additional
manipulation functionality, e.g. new_from_image(). See the Image::Base pod for
information on adding your own functionality to all the Image::Base derived
classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%make_install

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Image
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.100.0-3pclos2017
- rebuild against updates

